# Contributing Guidelines

### Creating a Bug Report

If you create a bug report, please try to include as many of the following pieces of information as you can:
* Your OS and version
* The version of Vim you're using, and if possible `vim --version`
* The output from the following commands:
  * `python3 --version`
  * `pip --list`
* The command you were executing, and the error message you're getting

### Creating a feature request

If you create a feature request, please include the following:
* The feature request in detail
* Your use case for this feature
* How it would integrate with other aspects of the app (if it does)
* If you would be willing to work on this feature

Please be wiling to participate in the discussion of said feature.

### Contributing Code

Please open a feature request before contributing any code. Indicate that you would be willing to work on said feature. Once I or any project collaborator approve the feature request, you can start working on this feature. Eventually, open a PR and to the best of your ability please include the following items:

* A link to the feature request issue
* A summary of the changes you've made
* How you tested the features 

If the PR looks good, it will be merged unless it has a large numer of commits (more than 5-6) in which case it will be squashed and merged. A collaborator might also add some fixes and then merge if he/she sees it fit.
